cryptol-2.2.6: Cryptol: The Language of Cryptography

Copyright | (c) 2013-2015 Galois, Inc.
License | BSD3
Maintainer | cryptol@galois.com
Stability | provisional
Portability | portable
Safe Haskell | Safe
Language | Haskell98

Cryptol.Eval

Description

# Documentation

moduleEnv :: Module -> EvalEnv -> EvalEnv Source

data EvalEnv Source

Instances

Monoid EvalEnv Source |
PP (WithBase EvalEnv) Source |

emptyEnv :: EvalEnv Source

evalExpr :: EvalEnv -> Expr -> Value Source

evalDecls :: [DeclGroup] -> EvalEnv -> EvalEnv Source

data EvalError Source

Constructors

InvalidIndex Integer |
TypeCannotBeDemoted Type |
DivideByZero |
WordTooWide Integer |
UserError String |

Instances

Show EvalError Source |
Exception EvalError Source |
PP EvalError Source |

data WithBase a Source

Constructors

WithBase PPOpts a |

Instances

Functor WithBase Source |
PP (WithBase Value) Source |
PP (WithBase EvalEnv) Source |